// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by odin

ServerEvents.recipes(event => {
  event.remove({ output: 'callfromthedepth_:immemorialarmor_helmet' })
  event.remove({ input: 'callfromthedepth_:immemorialarmor_helmet' })
  event.remove({ output: 'callfromthedepth_:immemorialarmor_chestplate' })
  event.remove({ input: 'callfromthedepth_:immemorialarmor_chestplate' })
  event.remove({ output: 'callfromthedepth_:immemorialarmor_leggings' })
  event.remove({ input: 'callfromthedepth_:immemorialarmor_leggings' })
  event.remove({ output: 'callfromthedepth_:immemorialarmor_boots' })
  event.remove({ input: 'callfromthedepth_:immemorialarmor_boots' })

});

ServerEvents.recipes(event => {
    event.smithing(
      'callfromthedepth_:immemorialarmor_helmet',
      'callfromthedepth_:immemorialupgradesmithingtemplate',
      'allthemodium:allthemodium_helmet',
      'callfromthedepth_:immemorialingot'
    )

    event.smithing(
      'callfromthedepth_:immemorialarmor_chestplate',
      'callfromthedepth_:immemorialupgradesmithingtemplate',
      'allthemodium:allthemodium_chestplate',
      'callfromthedepth_:immemorialingot'
    )

    event.smithing(
      'callfromthedepth_:immemorialarmor_leggings',
      'callfromthedepth_:immemorialupgradesmithingtemplate',
      'allthemodium:allthemodium_leggings',
      'callfromthedepth_:immemorialingot'
    )

    event.smithing(
      'callfromthedepth_:immemorialarmor_boots',
      'callfromthedepth_:immemorialupgradesmithingtemplate',
      'allthemodium:allthemodium_boots',
      'callfromthedepth_:immemorialingot'
    )
});